/*                              API.H                              */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 */

#ifndef API_H
#define API_H

#ifndef RECINFO_H
#include "recinfo.h"
#endif

#ifndef SCANINFO_H
#include "scaninfo.h"
#endif
#ifndef SESSION_H
#include "session.h"
#endif

/* Prototypes */

int z39_save_to_log(SESSION *session,
                    char *filename);

int z39_debug(SESSION *session,
              int toggle);

int z39_show(SESSION *session,
             char *parameters);

int z39_index(SESSION *session,
              char *name,
              char *attributes);

int z39_initial(SESSION **p_session,
                char *name,
                char *host,
                char *port,
                char *globalset,
                char *syntax_preferred,
                char *authorize);

int z39_search(SESSION *session,
               char *query,
               char *database,
               char *setname,
               char *syntax_preferred,
               RECORD_INFO *info);

int z39_display(SESSION *session,
                char *setname,
                char *elemname,
                char *syntax_preferred,
                unsigned int position,
                unsigned int number_records,
                RECORD_INFO *info);

int z39_scan(SESSION *session,
           char *indexname,
           char *termname,
           int num_terms,
           int position,
           int stepsize,
           SCAN_INFO *scan);

int z39_close(SESSION **p_session,
              char *parameters);

#endif
