/*                            ATTRCONS.H                            */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 */

#ifndef ATTRCONS_H
#define ATTRCONS_H

/* Attributes */

#define USE                 1
#define RELATION            2
#define POSITION            3
#define STRUCTURE           4
#define TRUNCATION          5
#define COMPLETENESS        6
#define MAX_ATTRIBUTES      7

/* Relation attributes */

#define RELATIONAL_NOP       0
#define LESS_THAN            1
#define LESS_THAN_OR_EQUAL   2
#define EQUAL                3
#define GREATER_OR_EQUAL     4
#define GREATER_THAN         5
#define NOT_EQUAL            6

/* Structure attributes */

#define PHRASE               1
#define WORD                 2
#define KEY                  3
#define YEAR                 4
#define DATE_NORMALIZED      5
#define WORD_LIST            6

/* Truncation attributes */

#define RIGHT_TRUNCATION     1
#define LEFT_TRUNCATION      2
#define LEFT_AND_RIGHT_TRUNC 3
#define NO_TRUNCATION        100
#define PROCESS_TRUNCATION   101

#endif
