/*                           CONSTANT.H                            */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 */

#ifndef CONSTANT_H
#define CONSTANT_H

/* Function */

#ifndef ABS
#define ABS(a)          ((a)<0 ? -(a):(a))
#endif

#ifndef MAX
#define MAX(a,b)        (((a) > (b)) ? (a) : (b))
#endif

#ifndef MIN
#define MIN(a,b)        (((a) < (b)) ? (a) : (b))
#endif

#ifndef DIM    
#define DIM(array)      (sizeof(array) / sizeof(array[0]))
#endif

#ifndef DEFAULT
#define DEFAULT(a,b)    if ((a) == 0) a = b;
#endif

#ifndef QUOTED
#define QUOTED(a)       ((*(a) == '\"') || (*(a) == '\''))
#endif

#ifndef UNQUOTE
#define UNQUOTE(a,b)    if (QUOTED(a)) (a)++, (b) -= 2 
#endif

/* Boolean */

#define TRUE 1
#define FALSE 0

/* Constants   */

#define BLANK                   ' '
#define TAB                     '\t'
#define DOUBLE_QUOTE            '\"'
#define EOS                     '\0'
#define QUOTE                   '\''
#define LEFT_PAREN              '('
#define RIGHT_PAREN             ')'
#define EQUAL_SIGN              '='
#define LESS_SIGN               '<'
#define GREATER_SIGN            '>'
#define SEMICOLON               ';'
#define NL                      '\n'
#define CR                      '\r'

#define SPECIAL_CHARACTERS      " ()=<>\t"

/* Common Symbols */

#define OK                      0
#define NOTOK                   -1

#define USECS_IN_SECOND         1000000

#define READ_TIMEOUT          -2
#define CANCEL_SEARCH         -3
#define USER_OK               -4
#define USER_CANCEL           -5

/* Are there any enqueued messages? */
#define       ARE_MSGS                1
#define       NO_MSGS                 0
/* What to do with a willow packet */
#define OPERATE                       1
#define ENQUEUE                       0

#endif  /* CONSTANT_H */
