/*                             MARC.C                              */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 */

#include <stdio.h>

#include "msg.h"
#include "record.h"
#include "session.h"

/*--------------------------------------------------------------*
 |                      USMARC_DISPLAY                          |
 | Function:                                                    |
 |    Output a US-Marc record.                                  |
 | Parameters:                                                  |
 |    session  : Session information.                           |
 |    record   : The record information.                        |
 | Returns:                                                     |
 |    Nothing.                                                  |
 | Description:                                                 |
 | Note:                                                        |
 |                                                              |
 *--------------------------------------------------------------*/

int usmarc_display(SESSION *session,
                   RECORD *record,
                   int position)
{
    extern FILE *out;

#ifdef MARKER

    /* 
     * This is a kludge to allow us to use a different 
     * MARC cracker for some files.
     */

    if (session->marc_type)
	{
	    stanford_dmarc(position, record->location, record->length);
            return;
        }
#endif

    fprintf(out,"Record %d\n", position);
    dmarc(position, record->location, record->length);
}
