/*                              MSG.H                              */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 */

#ifndef MSG_H
#define MSG_H

/* Errors */

#define FORMAT_MSG              0
#define DEFAULT_MSG             1
#define NO_CORE                 2
#define BIT_ERROR               3
#define RESULT_ERROR            4
#define MISSING_QUOTE           5
#define MISSING_INDEX           6
#define MISSING_TERM            7
#define BAD_INDEX               8
#define MISSING_PAREN           9
#define NOT_LOGICAL             10
#define TOO_MANY_INDEXES        11
#define BAD_ATTRIBUTE_TYPE      12
#define BAD_ATTRIBUTE_INPUT     13
#define MISSING_INDEX_NAME      14
#define MISSING_ATTRIBUTES      15
#define MISSING_USE_ATTRIBUTE   16
#define MISSING_DATABASE        17
#define BAD_SETID               18
#define PUT_VALUE               19
#define MISSING_REQUIRED        20
#define SERVER_REJECT           21
#define CANT_OPEN_SOCKET        22
#define UNKNOWN_HOST            23
#define SYSTEM_ERROR            24
#define BUILD_RECORD            25
#define NO_CONNECTION           26
#define INVALID_PDU             27
#define BAD_PDU_RESPONSE        28
#define CANT_CONVERT_BER        29
#define SOCKET_ALREADY_OPEN     30
#define NETIO_MISSING           31
#define WAIT_ERROR              32
#define TIME_OUT                33
#define BAD_QUERY_TYPE          34
#define BAD_FORMAT              35
#define BAD_RR_BIB1_TYPE        36
#define NO_MORE_RECORDS         37
#define BAD_PREFERRED_SYNTAX    38
#define READ_EOF                39
#define INVALID_RECORD          40
#define BAD_ATTRIB_INFO         41
#define BAD_QUOTED_TERM         42

typedef struct errmsg
    {
        struct errmsg *next;
        unsigned int errcode;
        char message[256];
    } ERRMSG, *EMSG;

/* Function prototypes */


int  msg_make(unsigned int errnum, ...);
void msg_output();
int  msg_test();

#define MSG_TEST                (msg_test())

#endif
