/*                             NETIO.H                             */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 */

#ifndef NETIO_H
#define NETIO_H

typedef struct net_io_definition
    {
        int  socket;
        unsigned char *buffer;
        int  length;
        unsigned int  max_length;
        char host[40];
        char port[8];
    } NETIO, *NETIO_REFERENCE;

#define NETIO_NULL  (NETIO *) NULL

NETIO *net_initialize();

int net_buffer(NETIO *io, 
               int buffer_size);

unsigned char *net_reset_buffer(NETIO *io);

int net_connect(NETIO *io,
                char *host,
                char *port);

int net_read(NETIO *io);

int net_write(NETIO *io,
              unsigned char *buffer,
              int length);

int net_wait(NETIO *io,
             int seconds_wait,
             long useconds_wait);

int net_close(NETIO *io);

void net_dispose(NETIO **p_io);

#endif
