/*                            PUTGET.H                             */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 *
 *  These routines provide an interface to the BER routines, so another
 *  set of BER routines can be used without completely changing the source
 *  code.
 */

#ifndef PUTGET_H
#define PUTGET_H

#ifndef BERUTIL_H
#include "berutil.h"
#endif

#ifndef STRINGS_H
#include "strings.h"
#endif

#define OPTIONAL    0
#define REQUIRED    1

DATA_DIR *find_tag(DATA_DIR *dir, unsigned int tag);
DATA_DIR *put_begin(DATA_DIR *irp, unsigned int pdutype);
DATA_DIR *put_node(DATA_DIR *dir, unsigned int tag, CHAR class);
DATA_DIR *put_newnode(DATA_DIR *dir, unsigned int tag, CHAR class);
void put_int(DATA_DIR *dir, unsigned int tag, int number);
void put_long(DATA_DIR *dir, unsigned int tag, long number);
void put_bits(DATA_DIR *dir, unsigned int tag, char *bits);
void put_flag(DATA_DIR *dir, unsigned int tag, CHAR flag);
void put_string(DATA_DIR *dir, unsigned int tag, STRING *string);
void put_cstring(DATA_DIR *dir, unsigned int tag, char *string);
void put_oid(DATA_DIR *dir, unsigned int tag, char *string);

DATA_DIR *get_begin(DATA_DIR *irp, unsigned int pdutype);
DATA_DIR *get_node(DATA_DIR *irp, unsigned int tag, int section);
void get_int(DATA_DIR *dir, unsigned int tag, int *number, int section);
void get_long(DATA_DIR *dir, unsigned int tag, long *number, int section);
void get_bits(DATA_DIR *dir, unsigned int tag, char **bits, int section);
void get_oid(DATA_DIR *dir, unsigned int tag, char **oid, int section);
void get_flag(DATA_DIR *dir, unsigned int tag, CHAR *flag, int section);
void get_string(DATA_DIR *dir, unsigned int tag, STRING *string, int section);
void get_cstring(DATA_DIR *dir, unsigned int tag, char *string, int section);

#endif
