/*                            RECINFO.H                            */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 */

#ifndef RECINFO_H
#define RECINFO_H

#ifndef RECORD_H
#include "record.h"
#endif

#ifndef SERIES_H
#include "series.h"
#endif

#ifndef SESSION_H
#include "session.h"
#endif

typedef struct record_info
    {
        unsigned int  result;
        unsigned int  returned;
        unsigned int  position;
        signed   int  status;
        unsigned char *buffer;
        char         *dbname;
        SERIES       *records;
        SERIES       *errors;
    } RECORD_INFO;

#define recinfo_set_result(info,x)    (info)->result = x
#define recinfo_set_returned(info,x)  (info)->returned = x
#define recinfo_set_position(info,x)  (info)->position = x
#define recinfo_set_status(info,x)    (info)->status = x
#define recinfo_set_dbname(info,x)    (info)->dbname = x
#define recinfo_set_buffer(info,x)    (info)->buffer = x

#define recinfo_get_result(info)      (info)->result
#define recinfo_get_returned(info)    (info)->returned
#define recinfo_get_position(info)    (info)->position
#define recinfo_get_status(info)      (info)->status
#define recinfo_get_dbname(info)      (info)->dbname
#define recinfo_get_buffer(info)      (info)->buffer

RECORD_INFO *recinfo_new();

void recinfo_extract(RECORD_INFO *info,
                    DATA_DIR    *ber);

void recinfo_output(SESSION *session,
                    RECORD_INFO  *info);

void recinfo_error(SESSION *session,
                   RECORD_INFO *info);

void recinfo_dispose(RECORD_INFO **info);

#endif
