/*                            RECORD.H                             */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 */

#ifndef RECORD_H
#define RECORD_H

#ifndef SESSION_H
#include "session.h"
#endif

/* Type of records */

#define NORMAL              0       /* Unknown record */
#define USMARC              1       /* US Marc record */
#define INFO1               2       /* Info-1 record */
#define OPAC                3       /* OPAC record */
#define SUTR                4       /* SUTR record */
#define DIAG_B1             5       /* BIB-1 Diagnostic record */
#define UNKNOWN             6       /* Unknown record */

typedef struct record
    {
        int     syntax;         /* Syntax of record */
        int     condition;      /* Condition code -- only for errors */
        int     length;         /* Place of record */
        char    *location;      /* Location of record */
        char    *dbname;        /* Database Name */
    } RECORD;

int record_syntax_from_oid(char *oid);

int record_syntax_from_name(char *name);

char *record_oid_from_syntax(int syntax);

int record_display(SESSION *session,
                   RECORD *record,
                   int position);
#endif
