/*                             SERIES.H                            */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 */

#ifndef SERIES_H
#define SERIES_H

typedef struct series_of_items
    {
        int  total;                    /* Total number of items */
        int  allocated;                /* Number of items allocated */
        int  item_size;                /* Size of an item */
        char *items;                   /* Pointer to the items */
    } SERIES;

#define series_get_total(series)       (series)->total
#define series_set_total(series,val)   (series)->total = val

SERIES *series_new(int size);

int series_append(SERIES *series,
                  void *record);

void *series_next(SERIES *series);


void *series_item(SERIES *series,
		  int index);

void series_dispose(SERIES **series);

#endif
