/*                            SERVERZ.H                            */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 */

#ifndef SERVERS_H
#define SERVERS_H

/*
   The following table describes some of the various Z39.50
   servers which can be connected to by just using a name.

   I grew tired of typing in the host name time after time
   and having to type them correctly.
*/

typedef struct select_description
    {
        char *match;
        char *name;
        char *host;
        char *port;
	char *authorize;
    } SELECT_ENTRY, *SELECT_REFERENCE;

static SELECT_ENTRY select_table[] =
    {
        {"MELVYL",              "cat",           "melvyl.ucop.edu",           "",      ""},
        {"LC_BOOKS",            "BOOKS",         "ibm2.loc.gov",              "",      ""},
        {"LC_NAMES",            "NAMES",         "ibm2.loc.gov",              "",      ""},
        {"OCLC_CAT",            "WorldCat",      "tikal.dev.oclc.org",        "",      ""},
        {"OCLC_ERIC",           "ERIC",          "tikal.dev.oclc.org",        "",      ""},
        {"NOTIS",               "ERIC",          "192.101.184.12",            "",      ""},
        {"IREG",                "IREG",          "192.101.184.12",            "",      ""},
        {"PENN",                "catalog",       "128.118.88.200",            "",      ""},
        {"BOOKS",               "books",         "z3950.research.att.com",    "",      ""},
        {"MATHSTAT",            "netlib",        "z3950.research.att.com",    "",      ""},
        {"GAYLORD",             "bib",           "saturn.gaylord.com",        "",      ""},
        {"RLG",                 "BIB",           "rlg.stanford.edu",          "",      ""},
        {"DRA",                 "XXDEFAULT",     "z3950.dra.com",             "",      ""},
        {"ACADIA",              "AULS",          "auls.acadiau.ca",           "",      ""},
        {"CLSI",                "cl_default",    "inet-gw.clsi.us.geac.com",  "",      ""},
        {"CARL",                "UNC",           "z3950.carl.org",            "",      ""},
        {"FCLA_CAT",            "UF",            "nermvs.nerdc.ufl.edu",      "",      ""},
        {"FCLA_ERIC",           "RE",            "nermvs.nerdc.ufl.edu",      "",      ""},
        {"FCLA_ERIC_1987_1967", "RR",            "nermvs.nerdc.ufl.edu",      "",      ""},
        {"ADVANCE_GEAC",        "default",       "198.3.222.40",              "",      ""},
        {"SHERPA",              "LittleERIC",    "sherpa.stanford.edu",       "",      ""},
        {"NATLIB",              "irtarget",      "indy.nstn.ns.ca",           "2007",  ""},
	{"PICO",                "NCC IBL",       "chico.pica.nl",             "2100",  "8997"},
        {"MWCAT",               "mwcat",         "z3950.oclc.org",            "",      ""},

        /* Infocal must be last */

        {"INFOCAL",             "cat",      "infocal.berkeley.edu",           "",      ""}
    };

#define select_total ((int) (sizeof(select_table) / sizeof(select_table[0])))

#endif
